GNU bug report logs - #11865
doxygen syntax not enabled in c++-mode & /** single line comments */

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs,cc-mode; Severity: minor; Reported by: Toon Claes <toon@HIDDEN>; Keywords: patch; dated Thu, 5 Jul 2012 11:52:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug Marked as found in versions 25.2. Request was from npostavs@HIDDEN to control <at> debbugs.gnu.org. Full text available.
Severity set to 'minor' from 'normal' Request was from npostavs@HIDDEN to control <at> debbugs.gnu.org. Full text available.
Changed bug title to 'doxygen syntax not enabled in c++-mode & /** single line comments */' from '24.1.50; doxygen comments not highlighted in c++-mode' Request was from npostavs@HIDDEN to control <at> debbugs.gnu.org. Full text available.
Added tag(s) patch; removed tag(s) fixed. Request was from Toon Claes <toon@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 11865 <at> debbugs.gnu.org:


Received: (at 11865) by debbugs.gnu.org; 10 Mar 2016 16:33:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 10 11:33:47 2016
Received: from localhost ([127.0.0.1]:44015 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ae3Wx-0004ea-O4
	for submit <at> debbugs.gnu.org; Thu, 10 Mar 2016 11:33:47 -0500
Received: from relay4-d.mail.gandi.net ([217.70.183.196]:33685)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <toon@HIDDEN>) id 1adwQz-0006nd-3M
 for 11865 <at> debbugs.gnu.org; Thu, 10 Mar 2016 03:59:08 -0500
Received: from mfilter30-d.gandi.net (mfilter30-d.gandi.net [217.70.178.161])
 by relay4-d.mail.gandi.net (Postfix) with ESMTP id 1816E1720B8;
 Thu, 10 Mar 2016 09:59:04 +0100 (CET)
X-Virus-Scanned: Debian amavisd-new at mfilter30-d.gandi.net
Received: from relay4-d.mail.gandi.net ([IPv6:::ffff:217.70.183.196])
 by mfilter30-d.gandi.net (mfilter30-d.gandi.net [::ffff:10.0.15.180])
 (amavisd-new, port 10024)
 with ESMTP id 1OgAOhEN9Trd; Thu, 10 Mar 2016 09:59:02 +0100 (CET)
X-Originating-IP: 84.196.71.131
Received: from [192.168.1.60] (d54C44783.access.telenet.be [84.196.71.131])
 (Authenticated sender: toon@HIDDEN)
 by relay4-d.mail.gandi.net (Postfix) with ESMTPSA id D2DCA1720B2;
 Thu, 10 Mar 2016 09:59:01 +0100 (CET)
Subject: Re: bug#11865: Fwd: Re: 24.1.50;
 doxygen comments not highlighted in c++-mode
Mime-Version: 1.0 (Mac OS X Mail 9.2 \(3112\))
Content-Type: multipart/signed;
 boundary="Apple-Mail=_9E346CDA-0E47-406D-A33E-38A321E07EC4";
 protocol="application/pgp-signature"; micalg=pgp-sha512
X-Pgp-Agent: GPGMail 2.6b2
From: Toon Claes <toon@HIDDEN>
In-Reply-To: <87d1rilrxu.fsf@HIDDEN>
Date: Thu, 10 Mar 2016 09:58:56 +0100
Message-Id: <9D6D35E4-B589-4E47-8939-7D682F93AE74@HIDDEN>
References: <5a95c7556a411b5988bc46867dbb99fd@HIDDEN>
 <16d1f96d86592f9e5511b61a678e2f81@HIDDEN> <87y4a8m9b2.fsf@HIDDEN>
 <0C474D0B-86AF-4030-B4B4-87E8CBEC4A67@HIDDEN> <87d1rilrxu.fsf@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
X-Mailer: Apple Mail (2.3112)
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 11865
X-Mailman-Approved-At: Thu, 10 Mar 2016 11:33:42 -0500
Cc: Toon Claes <toon@HIDDEN>, 11865 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)


--Apple-Mail=_9E346CDA-0E47-406D-A33E-38A321E07EC4
Content-Type: multipart/mixed;
	boundary="Apple-Mail=_DC3BF0C6-FACC-433B-AB3C-F1BD90915B81"


--Apple-Mail=_DC3BF0C6-FACC-433B-AB3C-F1BD90915B81
Content-Transfer-Encoding: 7bit
Content-Type: text/plain;
	charset=us-ascii

Hi Lars,

Find the patch attached.
The regexp is written to match:
/** gtkdoc */
/**
 * gtkdoc
 */

And to not match:
/*******/


Kind regards,
Toon



--Apple-Mail=_DC3BF0C6-FACC-433B-AB3C-F1BD90915B81
Content-Disposition: attachment;
	filename=0001-Fix-Bug-11865.patch
Content-Type: application/octet-stream;
	name="0001-Fix-Bug-11865.patch"
Content-Transfer-Encoding: quoted-printable

=46rom=2094c9c1c92f326de5e813780f8230f1ae3d4a6e96=20Mon=20Sep=2017=20=
00:00:00=202001=0AFrom:=20Toon=20Claes=20<toon@HIDDEN>=0ADate:=20Thu,=20=
10=20Mar=202016=2009:38:11=20+0100=0ASubject:=20[PATCH]=20Fix=20=
Bug#11865=0A=0A*=20progmodes/cc-vars.el=20(c-doc-comment-style):=20Set=20=
gtkdoc=20the=0Adefault=20for=20c++-mode.=0A*=20progmodes/cc-fonts.el=20=
(gtkdoc-font-lock-keywords):=20Text=20inside=0AGtkDoc=20comment=20can=20=
be=20on=20the=20same=20line=20as=20the=20comment=20start=20"/**".=0A---=0A=
=20ChangeLog.2=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20|=209=20=
+++++++++=0A=20lisp/progmodes/cc-fonts.el=20|=202=20+-=0A=20=
lisp/progmodes/cc-vars.el=20=20|=205=20+++--=0A=203=20files=20changed,=20=
13=20insertions(+),=203=20deletions(-)=0A=0Adiff=20--git=20a/ChangeLog.2=20=
b/ChangeLog.2=0Aindex=205253a92..7ba1872=20100644=0A---=20a/ChangeLog.2=0A=
+++=20b/ChangeLog.2=0A@@=20-1,3=20+1,12=20@@=0A+2016-03-10=20=20Toon=20=
Claes=20<toon@HIDDEN>=0A+=0A+=09Fix=20Bug#11865=0A+=0A+=09*=20=
progmodes/cc-vars.el=20(c-doc-comment-style):=20Set=20gtkdoc=20the=0A+=09=
default=20for=20c++-mode.=0A+=09*=20progmodes/cc-fonts.el=20=
(gtkdoc-font-lock-keywords):=20Text=20inside=0A+=09GtkDoc=20comment=20=
can=20be=20on=20the=20same=20line=20as=20the=20comment=20start=20"/**".=0A=
+=0A=202016-03-04=20=20Michael=20Albinus=20=20<michael.albinus@HIDDEN>=0A=
=20=0A=20=09Fix=20Bug#22859=0Adiff=20--git=20=
a/lisp/progmodes/cc-fonts.el=20b/lisp/progmodes/cc-fonts.el=0Aindex=20=
a7097b9..6bbb8f4=20100644=0A---=20a/lisp/progmodes/cc-fonts.el=0A+++=20=
b/lisp/progmodes/cc-fonts.el=0A@@=20-2515,7=20+2515,7=20@@=20need=20for=20=
`pike-font-lock-extra-types'.")=0A=20=0A=20(defconst=20=
gtkdoc-font-lock-keywords=0A=20=20=20`((,(lambda=20(limit)=0A-=09=
(c-font-lock-doc-comments=20"/\\*\\*$"=20limit=0A+=09=
(c-font-lock-doc-comments=20"/\\*\\*\\([^\\*].*\\)?$"=20limit=0A=20=09=20=
=20gtkdoc-font-lock-doc-comments)=0A=20=09(c-font-lock-doc-comments=20=
"/\\*<=20"=20limit=0A=20=09=20=20gtkdoc-font-lock-doc-protection)=0Adiff=20=
--git=20a/lisp/progmodes/cc-vars.el=20b/lisp/progmodes/cc-vars.el=0A=
index=20a695718..9783516=20100644=0A---=20a/lisp/progmodes/cc-vars.el=0A=
+++=20b/lisp/progmodes/cc-vars.el=0A@@=20-550,7=20+550,8=20@@=20variable=20=
in=20a=20mode=20hook."=0A=20(defcustom-c-stylevar=20c-doc-comment-style=0A=
=20=20=20'((java-mode=20.=20javadoc)=0A=20=20=20=20=20(pike-mode=20.=20=
autodoc)=0A-=20=20=20=20(c-mode=20=20=20=20.=20gtkdoc))=0A+=20=20=20=20=
(c-mode=20=20=20=20.=20gtkdoc)=0A+=20=20=20=20(c++-mode=20=20.=20=
gtkdoc))=0A=20=20=20"*Specifies=20documentation=20comment=20style(s)=20=
to=20recognize.=0A=20This=20is=20primarily=20used=20to=20fontify=20doc=20=
comments=20and=20the=20markup=20within=0A=20them,=20e.g.=20Javadoc=20=
comments.=0A@@=20-560,7=20+561,7=20@@=20comment=20styles:=0A=20=0A=20=20=
javadoc=20--=20Javadoc=20style=20for=20\"/**=20...=20*/\"=20comments=20=
(default=20in=20Java=20mode).=0A=20=20autodoc=20--=20Pike=20autodoc=20=
style=20for=20\"//!=20...\"=20comments=20(default=20in=20Pike=20mode).=0A=
-=20gtkdoc=20=20--=20GtkDoc=20style=20for=20\"/**=20...=20**/\"=20=
comments=20(default=20in=20C=20mode).=0A+=20gtkdoc=20=20--=20GtkDoc=20=
style=20for=20\"/**=20...=20**/\"=20comments=20(default=20in=20C/C++=20=
mode).=0A=20=0A=20The=20value=20may=20also=20be=20a=20list=20of=20doc=20=
comment=20styles,=20in=20which=20case=20all=0A=20of=20them=20are=20=
recognized=20simultaneously=20(presumably=20with=20markup=20cues=0A--=20=0A=
2.7.1=0A=0A=

--Apple-Mail=_DC3BF0C6-FACC-433B-AB3C-F1BD90915B81
Content-Transfer-Encoding: 7bit
Content-Type: text/plain;
	charset=us-ascii



> On 27 Feb 2016, at 05:04, Lars Ingebrigtsen <larsi@HIDDEN> wrote:
> 
> Toon Claes <toon@HIDDEN> writes:
> 
>> I do not really agree.
>> 
>> Let me explain in detail.
>> Only comment blocks like the following were recognized as gtkdoc:
>> /**
>> * This is the gtkdoc comment
>> */
>> 
>> I wanted also gtkdoc styling to be applied to:
>> /** This should be gtkdoc comment too */
>> 
>> I admit, the regexp I wrote back in the day was not correctly escaped.
>> But I was trying to achieve comments with 3 or more asterisks would
>> not get styled like gtkdoc comments.
> 
> Can you supply a patch that will give the correct styling?
> 
> --
> (domestic pets only, the antidote for overdose, milk.)
>   bloggy blog: http://lars.ingebrigtsen.no


--Apple-Mail=_DC3BF0C6-FACC-433B-AB3C-F1BD90915B81--

--Apple-Mail=_9E346CDA-0E47-406D-A33E-38A321E07EC4
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
	filename=signature.asc
Content-Type: application/pgp-signature;
	name=signature.asc
Content-Description: Message signed with OpenPGP using GPGMail

-----BEGIN PGP SIGNATURE-----
Comment: GPGTools - https://gpgtools.org

iQIcBAEBCgAGBQJW4TdVAAoJEDEUOoLTKziXRQsP/0KiB8UHbnHSsSPKnZehQify
1HCt+0OB9dtSFX5KApbPLTR+5qy9nhjGAKoCA19Yq/C5fGi4stGkZVTTb84oH4Kr
x+H0GDdYBSjG4kQyFENtjmmv7dZyfXJPPjn38A9rEeLZAL2LV04hX5XJNWYcLuJ8
XQ+Gz7l2leHfUdsLLtoRyEjBkZ6rKD+3YzlJXYXscDpXJTCU/iqnANyVE4raZF87
9NlfH4V2YPvVYs2vEAziqIqwOlvMOQ2Sv1nyTvsxsaM9bOjr7uA1D2j8jgGfuZHL
/oxbJu9tPBz3aZBVV+c4DbWL/cb7orw61h1p9XEPvRunrEvPrzKXz2Vbxd1OsEUQ
ASFJc6TFMJOhqvxfGkWzUruupZgv6MOIocFN1LNgbrX0rZV2yBLFYrNYQhUimYmY
R8HOD2w3YKh/t8Cz6Vx/q4uJscFdJsSGThAfIhlsO/WDM1CAW292FKoSyX+wPoMD
0YRA7Jf0NGUTOBgHVJeLX9zluKf440SVG8VjNGyk8dMAbX/2HyXHFwgrcZ20OBq9
cUG7AH1LAKI9Nl8u9di/X0lQCqY8DdTyLnr1bhTGbrLOZCG3BA+RXIQVoRHl9ipx
yJrL+raXIy7SLLtINVKpjwaSBLxwV/BOwPW5Af1C5/w+zNLoN1oYO8i7jar194E6
bVya56D7skd2hP+IHB6Y
=h8ts
-----END PGP SIGNATURE-----

--Apple-Mail=_9E346CDA-0E47-406D-A33E-38A321E07EC4--




Information forwarded to bug-gnu-emacs@HIDDEN, bug-cc-mode@HIDDEN:
bug#11865; Package emacs,cc-mode. Full text available.
Removed tag(s) patch. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.

Message received at 11865 <at> debbugs.gnu.org:


Received: (at 11865) by debbugs.gnu.org; 27 Feb 2016 04:05:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 26 23:05:03 2016
Received: from localhost ([127.0.0.1]:48078 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aZW7r-0000Tz-0a
	for submit <at> debbugs.gnu.org; Fri, 26 Feb 2016 23:05:03 -0500
Received: from hermes.netfonds.no ([80.91.224.195]:51467)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <larsi@HIDDEN>) id 1aZW7o-0000TP-Ki
 for 11865 <at> debbugs.gnu.org; Fri, 26 Feb 2016 23:05:01 -0500
Received: from [175.103.25.178] (helo=mouse)
 by hermes.netfonds.no with esmtpsa (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.72) (envelope-from <larsi@HIDDEN>)
 id 1aZW7O-0001nZ-8p; Sat, 27 Feb 2016 05:04:35 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Toon Claes <toon@HIDDEN>
Subject: Re: bug#11865: Fwd: Re: 24.1.50;
 doxygen comments not highlighted in c++-mode
References: <5a95c7556a411b5988bc46867dbb99fd@HIDDEN>
 <16d1f96d86592f9e5511b61a678e2f81@HIDDEN>
 <87y4a8m9b2.fsf@HIDDEN>
 <0C474D0B-86AF-4030-B4B4-87E8CBEC4A67@HIDDEN>
Date: Sat, 27 Feb 2016 14:34:29 +1030
In-Reply-To: <0C474D0B-86AF-4030-B4B4-87E8CBEC4A67@HIDDEN> (Toon Claes's
 message of "Fri, 26 Feb 2016 09:03:27 +0100")
Message-ID: <87d1rilrxu.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-MailScanner-ID: 1aZW7O-0001nZ-8p
X-Netfonds-MailScanner: Found to be clean
X-Netfonds-MailScanner-From: larsi@HIDDEN
MailScanner-NULL-Check: 1457150675.17902@/MsUZsdR3kmli/XyoFEMgw
X-Spam-Status: No
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 11865
Cc: Toon Claes <toon@HIDDEN>, 11865 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

Toon Claes <toon@HIDDEN> writes:

> I do not really agree.
>
> Let me explain in detail.
> Only comment blocks like the following were recognized as gtkdoc:
> /**
>  * This is the gtkdoc comment
>  */
>
> I wanted also gtkdoc styling to be applied to:
> /** This should be gtkdoc comment too */
>
> I admit, the regexp I wrote back in the day was not correctly escaped.
> But I was trying to achieve comments with 3 or more asterisks would
> not get styled like gtkdoc comments.

Can you supply a patch that will give the correct styling?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN, bug-cc-mode@HIDDEN:
bug#11865; Package emacs,cc-mode. Full text available.

Message received at 11865 <at> debbugs.gnu.org:


Received: (at 11865) by debbugs.gnu.org; 26 Feb 2016 10:23:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 26 05:23:47 2016
Received: from localhost ([127.0.0.1]:46935 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aZFYl-00045H-N2
	for submit <at> debbugs.gnu.org; Fri, 26 Feb 2016 05:23:47 -0500
Received: from relay2-d.mail.gandi.net ([217.70.183.194]:52996)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <toon@HIDDEN>) id 1aZDNC-0000hn-5r
 for 11865 <at> debbugs.gnu.org; Fri, 26 Feb 2016 03:03:41 -0500
Received: from mfilter18-d.gandi.net (mfilter18-d.gandi.net [217.70.178.146])
 by relay2-d.mail.gandi.net (Postfix) with ESMTP id 55EFCC5A84;
 Fri, 26 Feb 2016 09:03:36 +0100 (CET)
X-Virus-Scanned: Debian amavisd-new at mfilter18-d.gandi.net
Received: from relay2-d.mail.gandi.net ([IPv6:::ffff:217.70.183.194])
 by mfilter18-d.gandi.net (mfilter18-d.gandi.net [::ffff:10.0.15.180])
 (amavisd-new, port 10024)
 with ESMTP id f6wLzZ_6aK8q; Fri, 26 Feb 2016 09:03:34 +0100 (CET)
X-Originating-IP: 84.196.71.131
Received: from [192.168.1.60] (d54c44783.access.telenet.be [84.196.71.131])
 (Authenticated sender: toon@HIDDEN)
 by relay2-d.mail.gandi.net (Postfix) with ESMTPSA id 1669EC5A86;
 Fri, 26 Feb 2016 09:03:33 +0100 (CET)
Subject: Re: bug#11865: Fwd: Re: 24.1.50;
 doxygen comments not highlighted in c++-mode
Mime-Version: 1.0 (Mac OS X Mail 9.2 \(3112\))
Content-Type: multipart/signed;
 boundary="Apple-Mail=_B87938EA-9A2C-4292-8470-7D2F9F35D1D0";
 protocol="application/pgp-signature"; micalg=pgp-sha512
X-Pgp-Agent: GPGMail 2.6b2
From: Toon Claes <toon@HIDDEN>
In-Reply-To: <87y4a8m9b2.fsf@HIDDEN>
Date: Fri, 26 Feb 2016 09:03:27 +0100
Message-Id: <0C474D0B-86AF-4030-B4B4-87E8CBEC4A67@HIDDEN>
References: <5a95c7556a411b5988bc46867dbb99fd@HIDDEN>
 <16d1f96d86592f9e5511b61a678e2f81@HIDDEN> <87y4a8m9b2.fsf@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
X-Mailer: Apple Mail (2.3112)
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 11865
X-Mailman-Approved-At: Fri, 26 Feb 2016 05:23:42 -0500
Cc: Toon Claes <toon@HIDDEN>, 11865 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)


--Apple-Mail=_B87938EA-9A2C-4292-8470-7D2F9F35D1D0
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain;
	charset=us-ascii

Hi,

I do not really agree.

Let me explain in detail.
Only comment blocks like the following were recognized as gtkdoc:
/**
 * This is the gtkdoc comment
 */

I wanted also gtkdoc styling to be applied to:
/** This should be gtkdoc comment too */

I admit, the regexp I wrote back in the day was not correctly escaped.
But I was trying to achieve comments with 3 or more asterisks would not =
get styled like gtkdoc comments.


Gr,
Toon


> On 26 Feb 2016, at 04:37, Lars Ingebrigtsen <larsi@HIDDEN> wrote:
>=20
> Toon Claes <toon@HIDDEN> writes:
>=20
>> (defconst gtkdoc-font-lock-keywords
>> `((,(lambda (limit)
>> - (c-font-lock-doc-comments "/**$" limit
>> + (c-font-lock-doc-comments "/**([^*/].*)?$" limit
>=20
> Can this be correct, though?  It would mean that /** foo / **/ =
wouldn't
> be a comment...  and anyway, the /** is invalid as a regexp, anyway.
>=20
> The current code looks like
>=20
> (defconst gtkdoc-font-lock-keywords
>  `((,(lambda (limit)
> 	(c-font-lock-doc-comments "/\\*\\*$" limit
> 	  gtkdoc-font-lock-doc-comments)
> 	(c-font-lock-doc-comments "/\\*< " limit
> 	  gtkdoc-font-lock-doc-protection)
> 	))))
>=20
> Which looks more correct anyway.  So I think this has already been =
fixed
> in a different manner, and I'm closing this bug report.
>=20
> --
> (domestic pets only, the antidote for overdose, milk.)
>   bloggy blog: http://lars.ingebrigtsen.no


--Apple-Mail=_B87938EA-9A2C-4292-8470-7D2F9F35D1D0
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
	filename=signature.asc
Content-Type: application/pgp-signature;
	name=signature.asc
Content-Description: Message signed with OpenPGP using GPGMail

-----BEGIN PGP SIGNATURE-----
Comment: GPGTools - https://gpgtools.org

iQIcBAEBCgAGBQJW0AbVAAoJEDEUOoLTKziXmIwP/j/eT6IkzHizdIptDdzl2UXB
GeJRlWVtIHTWGiIjS/YIv7PISdN7lUePUbTSau2n3iAgm0NQlcjmLHaxBav7EN2X
7Y1ldaf+P5C9IkxylczCDuI+aUnpsL/ZdHIyQLOCweh1YS5Qv7P3V3atDvn0A9oH
N4RlwkaSIo9DrZdRqwAAVEXUpN8mUopQ68NxwJEHxnKkOozVBr5KmkVe0bC3JcRF
NXoNC4sdc1XcQfKd53fXwEgo48BMjmg2xCskmb38xm7vWnovimGT7UbLWq06oDHH
4qQyGmGS9ujmiNVXn0nNkjQoqiQcNIiUB4Zs48s+lIxpNpSdTOwSsbSM2/hkyAl3
TomU642MYUEffTwmvTVPoh3bTUBfakCgHORnRwzX5PZoiyry00MZUJU0RozgziSV
JN5wuLECppkKIj0zItQYyfSQAD/XPFv8eaj+73l5K8YSsB3sMqazHIHygfycmA5z
rHrfzDvDTZf4qkGzWN7uMqL0pRVsJAEz7Mbn2M2JSa/5iZocrL4ok8Q6F9cQ/MJn
ujOvNlzCt89K58TWf4cI4UnO5B0W55ZPy9z3TwJTzmLmRvEA5jlzyifk+Fzx9vuM
WgxpCf7fuK3iNhFVrQJzHJ8AJOwuLFSFO7KiXzW/pfhg0E/KldVze4spLEJPMgFK
1+iB9XZ/cNpGPW+QMhbe
=6pDW
-----END PGP SIGNATURE-----

--Apple-Mail=_B87938EA-9A2C-4292-8470-7D2F9F35D1D0--




Information forwarded to bug-gnu-emacs@HIDDEN, bug-cc-mode@HIDDEN:
bug#11865; Package emacs,cc-mode. Full text available.
bug closed, send any further explanations to 11865 <at> debbugs.gnu.org and Toon Claes <toon@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) fixed. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 11865 <at> debbugs.gnu.org:


Received: (at 11865) by debbugs.gnu.org; 26 Feb 2016 03:37:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 25 22:37:38 2016
Received: from localhost ([127.0.0.1]:46564 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aZ9Dm-0007s3-6W
	for submit <at> debbugs.gnu.org; Thu, 25 Feb 2016 22:37:38 -0500
Received: from hermes.netfonds.no ([80.91.224.195]:38167)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <larsi@HIDDEN>) id 1aZ9Dk-0007ru-5e
 for 11865 <at> debbugs.gnu.org; Thu, 25 Feb 2016 22:37:36 -0500
Received: from [175.103.25.178] (helo=mouse)
 by hermes.netfonds.no with esmtpsa (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.72) (envelope-from <larsi@HIDDEN>)
 id 1aZ9DL-0001k1-Ho; Fri, 26 Feb 2016 04:37:12 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Toon Claes <toon@HIDDEN>
Subject: Re: bug#11865: Fwd: Re: 24.1.50;
 doxygen comments not highlighted in c++-mode
References: <5a95c7556a411b5988bc46867dbb99fd@HIDDEN>
 <16d1f96d86592f9e5511b61a678e2f81@HIDDEN>
Date: Fri, 26 Feb 2016 14:07:05 +1030
In-Reply-To: <16d1f96d86592f9e5511b61a678e2f81@HIDDEN> (Toon Claes's
 message of "Wed, 05 Jun 2013 10:24:56 +0200")
Message-ID: <87y4a8m9b2.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-MailScanner-ID: 1aZ9DL-0001k1-Ho
X-Netfonds-MailScanner: Found to be clean
X-Netfonds-MailScanner-From: larsi@HIDDEN
MailScanner-NULL-Check: 1457062633.51149@AvkgJe/ECOWqNMA6tjSdoQ
X-Spam-Status: No
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 11865
Cc: 11865 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

Toon Claes <toon@HIDDEN> writes:

>  (defconst gtkdoc-font-lock-keywords
>  `((,(lambda (limit)
> - (c-font-lock-doc-comments "/**$" limit
> + (c-font-lock-doc-comments "/**([^*/].*)?$" limit

Can this be correct, though?  It would mean that /** foo / **/ wouldn't
be a comment...  and anyway, the /** is invalid as a regexp, anyway.

The current code looks like

(defconst gtkdoc-font-lock-keywords
  `((,(lambda (limit)
	(c-font-lock-doc-comments "/\\*\\*$" limit
	  gtkdoc-font-lock-doc-comments)
	(c-font-lock-doc-comments "/\\*< " limit
	  gtkdoc-font-lock-doc-protection)
	))))

Which looks more correct anyway.  So I think this has already been fixed
in a different manner, and I'm closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN, bug-cc-mode@HIDDEN:
bug#11865; Package emacs,cc-mode. Full text available.

Message received at 11865 <at> debbugs.gnu.org:


Received: (at 11865) by debbugs.gnu.org; 25 Feb 2016 06:02:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 25 01:02:00 2016
Received: from localhost ([127.0.0.1]:44578 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aYozw-0008LC-LY
	for submit <at> debbugs.gnu.org; Thu, 25 Feb 2016 01:02:00 -0500
Received: from mail-vk0-f41.google.com ([209.85.213.41]:34479)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <andlind@HIDDEN>) id 1aYozv-0008Gf-Qc
 for 11865 <at> debbugs.gnu.org; Thu, 25 Feb 2016 01:02:00 -0500
Received: by mail-vk0-f41.google.com with SMTP id e185so38527091vkb.1
 for <11865 <at> debbugs.gnu.org>; Wed, 24 Feb 2016 22:01:59 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:date:message-id:subject:from:to:content-type;
 bh=kf0PkTnCvyDnCLwzXkdR4M7NOBkGkKpJOnllEBPgJ9c=;
 b=Z1OFmubkqsl04RyNgc8pQADiBXlThDCmAtSLZl3B4WvRnc1XUwGMqysygzLQgbj+fA
 QvOyjDdrxhEDL+nw8NtjPrRifp+abQJwkaRX1LidCqThoCP8oH6bhS/LR+Din9PSS08x
 mLT/9UWyQbH8jRAHwVHnkjhhUFPx5/nz07MdAKCCm3Vo+4q169lae2mXt9kioZv9aNfg
 9YO8MFcDJVaaDHH6dTedTpLF4oiN+oLL6ZXNs/AzdMl3G7hyoP4nKKWpEer4l6d87xJC
 S2Vl0sCYyrpxdvS2iwF4sE6K1tnVUOnQI7zZT2Pk7U1QqFc88arctqbicTwM1ZTghgg8
 2a2Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:date:message-id:subject:from:to
 :content-type;
 bh=kf0PkTnCvyDnCLwzXkdR4M7NOBkGkKpJOnllEBPgJ9c=;
 b=L6hdcNfku+9ibEWVVZrffa2jEQd3pj4wkBYG0Km/ExMsUlSOwn1ow7V3FQpjnfD2LZ
 oO5oEI7FKCKLXp4F6OHPQUt3jRsomDg8X6jRFhCFDypKqHY55B5sop1mz3xArwIL+MkH
 RzGhhWVVBj1LLNrl0JGOr/dfxbPsxy0N7Tkjab+5P91wGFdw/rUlBkWIHkxIc1Zsb1uO
 jsGWxLb4Irqj1tk13JPp1E5X5HIIHulsn/57VC5xmFwntu9+jkzeg7YOI8Kg+UE1ep8G
 51rL6hm0nqmAiKZx+EJadTpVgLQs9wXBgMYDCZ22oEn+5sCANdSMLi70i6Qk77gPamKy
 yPNg==
X-Gm-Message-State: AG10YORoKueSYluY4XTN/+n8YjgW8r7FOcRwY8UCg5gS+iJAtq7z9g03NXbdB3masUeVBm8ddZQd4+1MJERvFg==
MIME-Version: 1.0
X-Received: by 10.31.10.199 with SMTP id 190mr36191253vkk.51.1456380114173;
 Wed, 24 Feb 2016 22:01:54 -0800 (PST)
Received: by 10.31.214.131 with HTTP; Wed, 24 Feb 2016 22:01:54 -0800 (PST)
Date: Thu, 25 Feb 2016 07:01:54 +0100
Message-ID: <CABr8ebYBGk3AAFD49u+XWh8JN7_8HJeUXdDLO0HRNvT1Smb8rg@HIDDEN>
Subject: Re: 24.1.50; doxygen comments not highlighted in c++-mode
From: Anders Lindgren <andlind@HIDDEN>
To: 11865 <at> debbugs.gnu.org, Lars Ingebrigtsen <larsi@HIDDEN>
Content-Type: multipart/alternative; boundary=001a114401765d0700052c91eb0a
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 11865
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--001a114401765d0700052c91eb0a
Content-Type: text/plain; charset=UTF-8

The changes looks OK. However, the "gtk" format is only a subset of the
Doxygen format.

For example, doxygen can use "\command" as well as "@command". Also, "//!"
or "/*!" can start a doxygen comment.

(As I side note, I have a back burner project implementing highlighting for
doxygen comments. However, it's been stalled due to problems with
installing custom c-doc packages.)

    -- Anders

--001a114401765d0700052c91eb0a
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div>The changes looks OK. However, the &quot;gtk&quot; fo=
rmat is only a subset of the Doxygen format.</div><div><br></div><div>For e=
xample, doxygen can use &quot;\command&quot; as well as &quot;@command&quot=
;. Also, &quot;//!&quot; or &quot;/*!&quot; can start a doxygen comment.</d=
iv><div><br></div><div>(As I side note, I have a back burner project implem=
enting highlighting for doxygen comments. However, it&#39;s been stalled du=
e to problems with installing custom c-doc packages.)</div><div><br></div><=
div>=C2=A0 =C2=A0 -- Anders</div><div><br></div></div>

--001a114401765d0700052c91eb0a--




Information forwarded to bug-gnu-emacs@HIDDEN, bug-cc-mode@HIDDEN:
bug#11865; Package emacs,cc-mode. Full text available.

Message received at 11865 <at> debbugs.gnu.org:


Received: (at 11865) by debbugs.gnu.org; 24 Feb 2016 06:30:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 24 01:30:03 2016
Received: from localhost ([127.0.0.1]:42344 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aYSxW-00024U-IY
	for submit <at> debbugs.gnu.org; Wed, 24 Feb 2016 01:30:03 -0500
Received: from hermes.netfonds.no ([80.91.224.195]:42121)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <larsi@HIDDEN>) id 1aYSxU-00023k-Cg
 for 11865 <at> debbugs.gnu.org; Wed, 24 Feb 2016 01:30:00 -0500
Received: from cpe-60-225-211-161.nsw.bigpond.net.au ([60.225.211.161]
 helo=mouse)
 by hermes.netfonds.no with esmtpsa (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.72) (envelope-from <larsi@HIDDEN>)
 id 1aYSx6-0003H4-K2; Wed, 24 Feb 2016 07:29:37 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Toon Claes <toon@HIDDEN>
Subject: Re: bug#11865: 24.1.50; doxygen comments not highlighted in c++-mode
References: <b43ad18abae33611e061e8488f54eaaf@HIDDEN>
 <81f18f30cc17d41a72b8c0e6e77a1ee7@HIDDEN>
Date: Wed, 24 Feb 2016 17:29:32 +1100
In-Reply-To: <81f18f30cc17d41a72b8c0e6e77a1ee7@HIDDEN> (Toon Claes's
 message of "Tue, 10 Jul 2012 08:59:24 +0200")
Message-ID: <871t82d3jn.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-MailScanner-ID: 1aYSx6-0003H4-K2
X-Netfonds-MailScanner: Found to be clean
X-Netfonds-MailScanner-From: larsi@HIDDEN
MailScanner-NULL-Check: 1456900177.79524@hdIixpCTcZwFLNlLCR8SKQ
X-Spam-Status: No
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 11865
Cc: 11865 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

Toon Claes <toon@HIDDEN> writes:

> +2012-07-06 Toon Claes <toon@HIDDEN>
> +
> + * progmodes/cc-fonts.el (gtkdoc-font-lock-keywords):
> + Less restrictive checking for gtkdoc.
> +
> + * progmodes/cc-vars.el: For c++-mode set gtkdoc the default
> + c-doc-comment-style.
> +

[...]

I am completely unfamiliar with the gtkdoc format, so I can't really
judge whether this makes sense or not.  Anybody?

> === modified file 'lisp/progmodes/cc-fonts.el'
> --- lisp/progmodes/cc-fonts.el 2012-01-19 07:21:25 +0000
> +++ lisp/progmodes/cc-fonts.el 2012-07-06 13:49:00 +0000
> @@ -2572,7 +2572,7 @@
>
>  (defconst gtkdoc-font-lock-keywords
>  `((,(lambda (limit)
> - (c-font-lock-doc-comments "/\*\*$" limit
> + (c-font-lock-doc-comments "/\*\*\([^\*/].*\)?$" limit
>  gtkdoc-font-lock-doc-comments)
>  (c-font-lock-doc-comments "/\*< " limit
>  gtkdoc-font-lock-doc-protection)
>
> === modified file 'lisp/progmodes/cc-vars.el'
> --- lisp/progmodes/cc-vars.el 2012-02-11 22:13:29 +0000
> +++ lisp/progmodes/cc-vars.el 2012-07-06 13:48:46 +0000
> @@ -552,7 +552,8 @@
>  (defcustom-c-stylevar c-doc-comment-style
>  '((java-mode . javadoc)
>  (pike-mode . autodoc)
> - (c-mode . gtkdoc))
> + (c-mode . gtkdoc)
> + (c++-mode . gtkdoc))
>  "*Specifies documentation comment style(s) to recognize.
>  This is primarily used to fontify doc comments and the markup within
>  them, e.g. Javadoc comments.
> @@ -562,7 +563,7 @@
>
>  javadoc -- Javadoc style for "/** ... */" comments (default in Java
> mode).
>  autodoc -- Pike autodoc style for "//! ..." comments (default in Pike
> mode).
> - gtkdoc -- GtkDoc style for "/** ... **/" comments (default in C
> mode).
> + gtkdoc -- GtkDoc style for "/** ... **/" comments (default in C/C++
> mode).
>
>  The value may also be a list of doc comment styles, in which case all
>  of them are recognized simultaneously (presumably with markup cues
>
>
>
>

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN, bug-cc-mode@HIDDEN:
bug#11865; Package emacs,cc-mode. Full text available.
Added tag(s) patch. Request was from Toon Claes <toon@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 11865 <at> debbugs.gnu.org:


Received: (at 11865) by debbugs.gnu.org; 5 Jun 2013 08:27:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 05 04:27:10 2013
Received: from localhost ([127.0.0.1]:51619 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Uk93k-0001Gd-Cv
	for submit <at> debbugs.gnu.org; Wed, 05 Jun 2013 04:27:10 -0400
Received: from web1.futureweb.be ([77.243.237.194]:52660)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <toon@HIDDEN>) id 1Uk93g-0001FB-PJ
	for 11865 <at> debbugs.gnu.org; Wed, 05 Jun 2013 04:27:06 -0400
Received: from localhost ([127.0.0.1] helo=tonotdo.com)
	by web1.futureweb.be with esmtpa (Exim 4.80.1)
	(envelope-from <toon@HIDDEN>) id 1Uk91c-00069J-Ae
	for 11865 <at> debbugs.gnu.org; Wed, 05 Jun 2013 10:24:56 +0200
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8;
 format=flowed
Content-Transfer-Encoding: 7bit
Date: Wed, 05 Jun 2013 10:24:56 +0200
From: Toon Claes <toon@HIDDEN>
To: <11865 <at> debbugs.gnu.org>
Subject: Fwd: Re: 24.1.50; doxygen comments not highlighted in c++-mode
Message-ID: <16d1f96d86592f9e5511b61a678e2f81@HIDDEN>
X-Sender: toon@HIDDEN
User-Agent: Roundcube Webmail/0.8.6
X-Spam-Score: 0.8 (/)
X-Debbugs-Envelope-To: 11865
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

Tags: patch

Resubmitting my patch (with correct "Tags: patch" this time) in hope it 
finally gets merged.

---

=== modified file 'lisp/ChangeLog'
--- lisp/ChangeLog 2012-07-06 07:08:10 +0000
+++ lisp/ChangeLog 2012-07-06 13:48:51 +0000
@@ -1,3 +1,11 @@
+2012-07-06 Toon Claes <toon@HIDDEN>
+
+	* progmodes/cc-fonts.el (gtkdoc-font-lock-keywords): Better gtkdoc
+	parsing.
+
+	* progmodes/cc-vars.el (c-doc-comment-style): Use gtkdoc as default
+	for C++.
+
  2012-07-06 Glenn Morris <rgm@HIDDEN>

  	* Makefile.in (compile-one-process): Rename from "recompile".

=== modified file 'lisp/progmodes/cc-fonts.el'
--- lisp/progmodes/cc-fonts.el 2012-01-19 07:21:25 +0000
+++ lisp/progmodes/cc-fonts.el 2012-07-06 13:49:00 +0000
@@ -2572,7 +2572,7 @@

  (defconst gtkdoc-font-lock-keywords
  `((,(lambda (limit)
- (c-font-lock-doc-comments "/**$" limit
+ (c-font-lock-doc-comments "/**([^*/].*)?$" limit
  gtkdoc-font-lock-doc-comments)
  (c-font-lock-doc-comments "/*< " limit
  gtkdoc-font-lock-doc-protection)

=== modified file 'lisp/progmodes/cc-vars.el'
--- lisp/progmodes/cc-vars.el 2012-02-11 22:13:29 +0000
+++ lisp/progmodes/cc-vars.el 2012-07-06 13:48:46 +0000
@@ -552,7 +552,8 @@
  (defcustom-c-stylevar c-doc-comment-style
  '((java-mode . javadoc)
  (pike-mode . autodoc)
- (c-mode . gtkdoc))
+ (c-mode . gtkdoc)
+ (c++-mode . gtkdoc))
  "*Specifies documentation comment style(s) to recognize.
  This is primarily used to fontify doc comments and the markup within
  them, e.g. Javadoc comments.
@@ -562,7 +563,7 @@

  javadoc -- Javadoc style for "/** ... */" comments (default in Java
mode).
  autodoc -- Pike autodoc style for "//! ..." comments (default in Pike
mode).
- gtkdoc -- GtkDoc style for "/** ... **/" comments (default in C
mode).
+ gtkdoc -- GtkDoc style for "/** ... **/" comments (default in C/C++
mode).

  The value may also be a list of doc comment styles, in which case all
  of them are recognized simultaneously (presumably with markup cues




Information forwarded to bug-gnu-emacs@HIDDEN, bug-cc-mode@HIDDEN:
bug#11865; Package emacs,cc-mode. Full text available.

Message received at 11865 <at> debbugs.gnu.org:


Received: (at 11865) by debbugs.gnu.org; 10 Jul 2012 07:04:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 10 03:04:51 2012
Received: from localhost ([127.0.0.1]:59110 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SoUV7-000301-G5
	for submit <at> debbugs.gnu.org; Tue, 10 Jul 2012 03:04:51 -0400
Received: from web1.futureweb.be ([77.243.237.194]:60528)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <toon@HIDDEN>) id 1SoUV3-0002zs-Kn
	for 11865 <at> debbugs.gnu.org; Tue, 10 Jul 2012 03:04:47 -0400
Received: from localhost ([127.0.0.1] helo=tonotdo.com)
	by web1.futureweb.be with esmtpa (Exim 4.80)
	(envelope-from <toon@HIDDEN>)
	id 1SoUPs-0001yD-I1; Tue, 10 Jul 2012 08:59:24 +0200
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8;
 format=flowed
Content-Transfer-Encoding: 7bit
Date: Tue, 10 Jul 2012 08:59:24 +0200
From: Toon Claes <toon@HIDDEN>
To: <11865 <at> debbugs.gnu.org>
Subject: Re: 24.1.50; doxygen comments not highlighted in c++-mode
In-Reply-To: <b43ad18abae33611e061e8488f54eaaf@HIDDEN>
References: <b43ad18abae33611e061e8488f54eaaf@HIDDEN>
Message-ID: <81f18f30cc17d41a72b8c0e6e77a1ee7@HIDDEN>
X-Sender: toon@HIDDEN
User-Agent: Roundcube Webmail/0.7.2
X-Spam-Score: -1.9 (-)
X-Debbugs-Envelope-To: 11865
Cc: toon@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

Excuse me, previous patch was incorrect. This one should be better

---

=== modified file 'lisp/ChangeLog'
--- lisp/ChangeLog 2012-07-06 07:08:10 +0000
+++ lisp/ChangeLog 2012-07-06 13:48:51 +0000
@@ -1,3 +1,11 @@
+2012-07-06 Toon Claes <toon@HIDDEN>
+
+ * progmodes/cc-fonts.el (gtkdoc-font-lock-keywords):
+ Less restrictive checking for gtkdoc.
+
+ * progmodes/cc-vars.el: For c++-mode set gtkdoc the default
+ c-doc-comment-style.
+
  2012-07-06 Glenn Morris <rgm@HIDDEN>

  * Makefile.in (compile-one-process): Rename from "recompile".

=== modified file 'lisp/progmodes/cc-fonts.el'
--- lisp/progmodes/cc-fonts.el 2012-01-19 07:21:25 +0000
+++ lisp/progmodes/cc-fonts.el 2012-07-06 13:49:00 +0000
@@ -2572,7 +2572,7 @@

  (defconst gtkdoc-font-lock-keywords
  `((,(lambda (limit)
- (c-font-lock-doc-comments "/\*\*$" limit
+ (c-font-lock-doc-comments "/\*\*\([^\*/].*\)?$" limit
  gtkdoc-font-lock-doc-comments)
  (c-font-lock-doc-comments "/\*< " limit
  gtkdoc-font-lock-doc-protection)

=== modified file 'lisp/progmodes/cc-vars.el'
--- lisp/progmodes/cc-vars.el 2012-02-11 22:13:29 +0000
+++ lisp/progmodes/cc-vars.el 2012-07-06 13:48:46 +0000
@@ -552,7 +552,8 @@
  (defcustom-c-stylevar c-doc-comment-style
  '((java-mode . javadoc)
  (pike-mode . autodoc)
- (c-mode . gtkdoc))
+ (c-mode . gtkdoc)
+ (c++-mode . gtkdoc))
  "*Specifies documentation comment style(s) to recognize.
  This is primarily used to fontify doc comments and the markup within
  them, e.g. Javadoc comments.
@@ -562,7 +563,7 @@

  javadoc -- Javadoc style for "/** ... */" comments (default in Java 
mode).
  autodoc -- Pike autodoc style for "//! ..." comments (default in Pike
mode).
- gtkdoc -- GtkDoc style for "/** ... **/" comments (default in C 
mode).
+ gtkdoc -- GtkDoc style for "/** ... **/" comments (default in C/C++
mode).

  The value may also be a list of doc comment styles, in which case all
  of them are recognized simultaneously (presumably with markup cues




Information forwarded to bug-gnu-emacs@HIDDEN, bug-cc-mode@HIDDEN:
bug#11865; Package emacs,cc-mode. Full text available.

Message received at 11865 <at> debbugs.gnu.org:


Received: (at 11865) by debbugs.gnu.org; 6 Jul 2012 14:05:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 06 10:05:21 2012
Received: from localhost ([127.0.0.1]:52849 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Sn99s-0005ys-Pr
	for submit <at> debbugs.gnu.org; Fri, 06 Jul 2012 10:05:21 -0400
Received: from web1.futureweb.be ([77.243.237.194]:60030)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <toon@HIDDEN>) id 1Sn99p-0005yg-EJ
	for 11865 <at> debbugs.gnu.org; Fri, 06 Jul 2012 10:05:19 -0400
Received: from localhost ([127.0.0.1] helo=tonotdo.com)
	by web1.futureweb.be with esmtpa (Exim 4.80)
	(envelope-from <toon@HIDDEN>) id 1Sn950-0001zz-16
	for 11865 <at> debbugs.gnu.org; Fri, 06 Jul 2012 16:00:18 +0200
MIME-Version: 1.0
Content-Type: multipart/alternative;
	boundary="=_9548d4f8a0de92fe9a4faefdd9317040"
Date: Fri, 06 Jul 2012 16:00:17 +0200
From: Toon Claes <toon@HIDDEN>
To: <11865 <at> debbugs.gnu.org>
Subject: 24.1.50; doxygen comments not highlighted in c++-mode
Message-ID: <b43ad18abae33611e061e8488f54eaaf@HIDDEN>
X-Sender: toon@HIDDEN
User-Agent: Roundcube Webmail/0.7.2
X-Spam-Score: -1.9 (-)
X-Debbugs-Envelope-To: 11865
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

--=_9548d4f8a0de92fe9a4faefdd9317040
Content-Transfer-Encoding: 7bit
Content-Type: text/plain; charset=UTF-8

 

I think I've found the solution. Please consider this patch: 

===
modified file 'lisp/ChangeLog'
--- lisp/ChangeLog 2012-07-06 13:50:37
+0000
+++ lisp/ChangeLog 2012-07-06 07:08:10 +0000
@@ -1,11 +1,3
@@
-2012-07-06 Toon Claes <toon@HIDDEN>
-
- * progmodes/cc-fonts.el
(gtkdoc-font-lock-keywords):
- Less restrictive checking for gtkdoc.
-
-
* progmodes/cc-vars.el: For c++-mode set gtkdoc the default
-
c-doc-comment-style.
-
 2012-07-06 Glenn Morris <rgm@HIDDEN>

 *
Makefile.in (compile-one-process): Rename from "recompile".

===
modified file 'lisp/progmodes/cc-fonts.el'
---
lisp/progmodes/cc-fonts.el 2012-07-06 13:50:37 +0000
+++
lisp/progmodes/cc-fonts.el 2012-01-19 07:21:25 +0000
@@ -2572,7 +2572,7
@@

 (defconst gtkdoc-font-lock-keywords
 `((,(lambda (limit)
-
(c-font-lock-doc-comments "/\*\*\([^\*/].*\)?$" limit
+
(c-font-lock-doc-comments "/\*\*$" limit

gtkdoc-font-lock-doc-comments)
 (c-font-lock-doc-comments "/\*< " limit

gtkdoc-font-lock-doc-protection)

=== modified file
'lisp/progmodes/cc-vars.el'
--- lisp/progmodes/cc-vars.el 2012-07-06
13:50:37 +0000
+++ lisp/progmodes/cc-vars.el 2012-02-11 22:13:29
+0000
@@ -552,8 +552,7 @@
 (defcustom-c-stylevar c-doc-comment-style

'((java-mode . javadoc)
 (pike-mode . autodoc)
- (c-mode . gtkdoc)
-
(c++-mode . gtkdoc))
+ (c-mode . gtkdoc))
 "*Specifies documentation
comment style(s) to recognize.
 This is primarily used to fontify doc
comments and the markup within
 them, e.g. Javadoc comments.
@@ -563,7
+562,7 @@

 javadoc -- Javadoc style for "/** ... */" comments (default
in Java mode).
 autodoc -- Pike autodoc style for "//! ..." comments
(default in Pike mode).
- gtkdoc -- GtkDoc style for "/** ... **/"
comments (default in C/C++ mode).
+ gtkdoc -- GtkDoc style for "/** ...
**/" comments (default in C mode).

 The value may also be a list of doc
comment styles, in which case all
 of them are recognized simultaneously
(presumably with markup cues

 
--=_9548d4f8a0de92fe9a4faefdd9317040
Content-Transfer-Encoding: quoted-printable
Content-Type: text/html; charset=UTF-8

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN">
<html><body>
<p>I think I've found the solution. Please consider this patch:</p>
<p>=3D=3D=3D modified file 'lisp/ChangeLog'<br />--- lisp/ChangeLog&nbsp;&n=
bsp; &nbsp;2012-07-06 13:50:37 +0000<br />+++ lisp/ChangeLog&nbsp;&nbsp; &n=
bsp;2012-07-06 07:08:10 +0000<br />@@ -1,11 +1,3 @@<br />-2012-07-06&nbsp; =
Toon Claes&nbsp; &lt;toon@HIDDEN&gt;<br />-<br />-&nbsp;&nbsp; &nbsp;*=
 progmodes/cc-fonts.el (gtkdoc-font-lock-keywords):<br />-&nbsp;&nbsp; &nbs=
p;Less restrictive checking for gtkdoc.<br />-<br />-&nbsp;&nbsp; &nbsp;* p=
rogmodes/cc-vars.el: For c++-mode set gtkdoc the default<br />-&nbsp;&nbsp;=
 &nbsp;c-doc-comment-style.<br />-<br />&nbsp;2012-07-06&nbsp; Glenn Morris=
&nbsp; &lt;rgm@HIDDEN&gt;<br />&nbsp;<br />&nbsp;&nbsp;&nbsp; &nbsp;* Make=
file.in (compile-one-process): Rename from "recompile".<br /><br />=3D=3D=
=3D modified file 'lisp/progmodes/cc-fonts.el'<br />--- lisp/progmodes/cc-f=
onts.el&nbsp;&nbsp; &nbsp;2012-07-06 13:50:37 +0000<br />+++ lisp/progmodes=
/cc-fonts.el&nbsp;&nbsp; &nbsp;2012-01-19 07:21:25 +0000<br />@@ -2572,7 +2=
572,7 @@<br />&nbsp;<br />&nbsp;(defconst gtkdoc-font-lock-keywords<br />&n=
bsp;&nbsp; `((,(lambda (limit)<br />-&nbsp;&nbsp; &nbsp;(c-font-lock-doc-co=
mments "/\\*\\*\\([^\\*/].*\\)?$" limit<br />+&nbsp;&nbsp; &nbsp;(c-font-lo=
ck-doc-comments "/\\*\\*$" limit<br />&nbsp;&nbsp;&nbsp; &nbsp;&nbsp; gtkdo=
c-font-lock-doc-comments)<br />&nbsp;&nbsp;&nbsp; &nbsp;(c-font-lock-doc-co=
mments "/\\*&lt; " limit<br />&nbsp;&nbsp;&nbsp; &nbsp;&nbsp; gtkdoc-font-l=
ock-doc-protection)<br /><br />=3D=3D=3D modified file 'lisp/progmodes/cc-v=
ars.el'<br />--- lisp/progmodes/cc-vars.el&nbsp;&nbsp; &nbsp;2012-07-06 13:=
50:37 +0000<br />+++ lisp/progmodes/cc-vars.el&nbsp;&nbsp; &nbsp;2012-02-11=
 22:13:29 +0000<br />@@ -552,8 +552,7 @@<br />&nbsp;(defcustom-c-stylevar c=
-doc-comment-style<br />&nbsp;&nbsp; '((java-mode . javadoc)<br />&nbsp;&nb=
sp;&nbsp;&nbsp; (pike-mode . autodoc)<br />-&nbsp;&nbsp;&nbsp; (c-mode&nbsp=
;&nbsp;&nbsp; . gtkdoc)<br />-&nbsp;&nbsp;&nbsp; (c++-mode&nbsp; . gtkdoc))=
<br />+&nbsp;&nbsp;&nbsp; (c-mode&nbsp;&nbsp;&nbsp; . gtkdoc))<br />&nbsp;&=
nbsp; "*Specifies documentation comment style(s) to recognize.<br />&nbsp;T=
his is primarily used to fontify doc comments and the markup within<br />&n=
bsp;them, e.g. Javadoc comments.<br />@@ -563,7 +562,7 @@<br />&nbsp;<br />=
&nbsp; javadoc -- Javadoc style for \"/** ... */\" comments (default in Jav=
a mode).<br />&nbsp; autodoc -- Pike autodoc style for \"//! ...\" comments=
 (default in Pike mode).<br />- gtkdoc&nbsp; -- GtkDoc style for \"/** ..=
=2E **/\" comments (default in C/C++ mode).<br />+ gtkdoc&nbsp; -- GtkDoc s=
tyle for \"/** ... **/\" comments (default in C mode).<br />&nbsp;<br />&nb=
sp;The value may also be a list of doc comment styles, in which case all<br=
 />&nbsp;of them are recognized simultaneously (presumably with markup cues=
<br /><br /><br /></p>
<div>&nbsp;</div>
</body></html>

--=_9548d4f8a0de92fe9a4faefdd9317040--





Information forwarded to bug-gnu-emacs@HIDDEN, bug-cc-mode@HIDDEN:
bug#11865; Package emacs,cc-mode. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 5 Jul 2012 11:51:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 05 07:51:59 2012
Received: from localhost ([127.0.0.1]:49845 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SmkbG-0004Na-OQ
	for submit <at> debbugs.gnu.org; Thu, 05 Jul 2012 07:51:59 -0400
Received: from eggs.gnu.org ([208.118.235.92]:44073)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <toon@HIDDEN>) id 1SmkbD-0004NS-So
	for submit <at> debbugs.gnu.org; Thu, 05 Jul 2012 07:51:57 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <toon@HIDDEN>) id 1SmkWO-0001Rw-Si
	for submit <at> debbugs.gnu.org; Thu, 05 Jul 2012 07:47:03 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-6.9 required=5.0 tests=BAYES_00,HTML_MESSAGE,
	RCVD_IN_DNSWL_HI autolearn=unavailable version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:40281)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <toon@HIDDEN>) id 1SmkWO-0001Rr-Ot
	for submit <at> debbugs.gnu.org; Thu, 05 Jul 2012 07:46:56 -0400
Received: from eggs.gnu.org ([208.118.235.92]:43505)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <toon@HIDDEN>) id 1SmkWI-0004ZW-3t
	for bug-gnu-emacs@HIDDEN; Thu, 05 Jul 2012 07:46:56 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <toon@HIDDEN>) id 1SmkWF-0001Q1-Js
	for bug-gnu-emacs@HIDDEN; Thu, 05 Jul 2012 07:46:49 -0400
Received: from web1.futureweb.be ([77.243.237.194]:43522)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <toon@HIDDEN>) id 1SmkWF-0001OJ-8r
	for bug-gnu-emacs@HIDDEN; Thu, 05 Jul 2012 07:46:47 -0400
Received: from localhost ([127.0.0.1] helo=tonotdo.com)
	by web1.futureweb.be with esmtpa (Exim 4.80)
	(envelope-from <toon@HIDDEN>)
	id 1SmkWA-0004eE-DI; Thu, 05 Jul 2012 13:46:42 +0200
MIME-Version: 1.0
Content-Type: multipart/alternative;
	boundary="=_01a275b37794df7c84d4c1669125eca8"
Date: Thu, 05 Jul 2012 13:46:42 +0200
From: Toon Claes <toon@HIDDEN>
To: <bug-gnu-emacs@HIDDEN>
Subject: 24.1.50; doxygen comments not highlighted in c++-mode
Message-ID: <5a95c7556a411b5988bc46867dbb99fd@HIDDEN>
X-Sender: toon@HIDDEN
User-Agent: Roundcube Webmail/0.7.2
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 208.118.235.17
X-Spam-Score: -6.2 (------)
X-Debbugs-Envelope-To: submit
Cc: toon@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.2 (------)

--=_01a275b37794df7c84d4c1669125eca8
Content-Transfer-Encoding: 7bit
Content-Type: text/plain; charset=UTF-8

 

I am using doxygen.org to comment code (and generate
documentation
from it). This requires a dedicated commenting style,
e.g.:

 /**
 * This is a doxygen comment
 * @param par this is a
parameter for this function
 * @return this is what is returned by the
function
 */
 bool my_function(int par);

When this snippet is viewed
with major mode 'c-mode', the @-keywords are
highlighted. When you set
the major mode to 'c++-mode', this is not the
case.

So for some reason
this additional highlighting is not enabled for
c++. I am not sure if
this is a bug, or disabled on purpose. Anyhow,
using doxygen for c++ is
valid.

Also it seems the doxygen highlighting does not work when you
type
comments on the same line as the '/**', e.g. like this:
 /** This
comment is not doxygen-highlighted
 */

Regards,
Toon

In GNU Emacs
24.1.50.1 (i686-suse-linux-gnu, X toolkit)
 of 2012-06-20 on
suse12-tcl
Bzr revision: 108664
eggert@HIDDEN
Windowing system
distributor `The X.Org Foundation', version 11.0.11004000
Configured
using:
 `configure '--without-toolkit-scroll-bars''

Important
settings:
 value of $LC_CTYPE: en_US.UTF-8
 value of $LANG: en_US.UTF-8

value of $XMODIFIERS: @im=local
 locale-coding-system: utf-8-unix

default enable-multibyte-characters: t

Major mode: C++/l

Minor modes
in effect:
 tooltip-mode: t
 mouse-wheel-mode: t
 tool-bar-mode: t

menu-bar-mode: t
 file-name-shadow-mode: t
 global-font-lock-mode: t

font-lock-mode: t
 blink-cursor-mode: t
 auto-composition-mode: t

auto-encryption-mode: t
 auto-compression-mode: t
 line-number-mode: t

transient-mark-mode: t
 abbrev-mode: t

Recent input:
C-x C-f <up> / t o
k <tab> s <tab> 2 <tab> T o <tab> 
C o m <tab> O b <tab> O b <tab> S
<tab> m <tab> S <tab> 
S r <backspace> <tab> <return> C-s r e b o o t
C-a 
C-n C-n C-n M-x c + + m <backspace> - m o d e <return> 
M-x f u
<backspace> <backspace> <help-echo> M-x r e 
p o r t - <tab>
<return>

Recent messages:
For information about GNU Emacs and the GNU
system, type C-h C-a.
user-error: Beginning of history; no preceding
item
Making completion list...
Note: file is write protected
Loading
cc-langs...done
Mark saved where search started
completing-read-default:
Command attempted to use minibuffer while in minibuffer

Load-path
shadows:
None found.

Features:
(shadow sort gnus-util mail-extr
emacsbug message cl-macs format-spec
rfc822 mml mml-sec mm-decode
mm-bodies mm-encode mail-parse rfc2231
mailabbrev gmm-utils mailheader
sendmail rfc2047 rfc2045 ietf-drums
mm-util mail-prsvr mail-utils
multi-isearch cc-langs cl macroexp cl-lib
cc-mode cc-fonts cc-guess
cc-menus cc-cmds cc-styles cc-align cc-engine
cc-vars cc-defs help-mode
easymenu view time-date tooltip ediff-hook
vc-hooks lisp-float-type
mwheel x-win x-dnd tool-bar dnd fontset image
regexp-opt fringe
tabulated-list newcomment lisp-mode register page
menu-bar rfn-eshadow
timer select scroll-bar mouse jit-lock font-lock
syntax facemenu
font-core frame cham georgian utf-8-lang misc-lang
vietnamese tibetan
thai tai-viet lao korean japanese hebrew greek
romanian slovak czech
european ethiopic indian cyrillic chinese
case-table epa-hook
jka-cmpr-hook help simple abbrev minibuffer loaddefs
button faces
cus-face files text-properties overlay sha1 md5 base64
format env
code-pages mule custom widget hashtable-print-readable
backquote
make-network-process dbusbind dynamic-setting
system-font-setting
font-render-setting x-toolkit x multi-tty emacs)

 
--=_01a275b37794df7c84d4c1669125eca8
Content-Transfer-Encoding: quoted-printable
Content-Type: text/html; charset=UTF-8

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN">
<html><body>
<p>I am using doxygen.org to comment code (and generate documentation<br />=
from it). This requires a dedicated commenting style, e.g.:<br /><br />&nbs=
p;&nbsp;&nbsp; /**<br />&nbsp;&nbsp;&nbsp;&nbsp; * This is a doxygen commen=
t<br />&nbsp;&nbsp;&nbsp;&nbsp; * @param par this is a parameter for this f=
unction<br />&nbsp;&nbsp;&nbsp;&nbsp; * @return this is what is returned by=
 the function<br />&nbsp;&nbsp;&nbsp;&nbsp; */<br />&nbsp;&nbsp;&nbsp; bool=
 my_function(int par);<br /><br />When this snippet is viewed with major mo=
de 'c-mode', the @-keywords are<br />highlighted. When you set the major mo=
de to 'c++-mode', this is not the<br />case.<br /><br />So for some reason =
this additional highlighting is not enabled for<br />c++. I am not sure if =
this is a bug, or disabled on purpose. Anyhow,<br />using doxygen for c++ i=
s valid.<br /><br />Also it seems the doxygen highlighting does not work wh=
en you type<br />comments on the same line as the '/**', e.g. like this:<br=
 />&nbsp;&nbsp;&nbsp; /** This comment is not doxygen-highlighted<br />&nbs=
p;&nbsp;&nbsp;&nbsp; */<br /><br /><br />Regards,<br />Toon<br /><br /><br =
/><br />In GNU Emacs 24.1.50.1 (i686-suse-linux-gnu, X toolkit)<br />&nbsp;=
of 2012-06-20 on suse12-tcl<br />Bzr revision: 108664 eggert@HIDDEN=
120619185739-mile4zpnjrqz5e8e<br />Windowing system distributor `The X.Org =
Foundation', version 11.0.11004000<br />Configured using:<br />&nbsp;`confi=
gure '--without-toolkit-scroll-bars''<br /><br />Important settings:<br />&=
nbsp; value of $LC_CTYPE: en_US.UTF-8<br />&nbsp; value of $LANG: en_US.UTF=
-8<br />&nbsp; value of $XMODIFIERS: @im=3Dlocal<br />&nbsp; locale-coding-=
system: utf-8-unix<br />&nbsp; default enable-multibyte-characters: t<br />=
<br />Major mode: C++/l<br /><br />Minor modes in effect:<br />&nbsp; toolt=
ip-mode: t<br />&nbsp; mouse-wheel-mode: t<br />&nbsp; tool-bar-mode: t<br =
/>&nbsp; menu-bar-mode: t<br />&nbsp; file-name-shadow-mode: t<br />&nbsp; =
global-font-lock-mode: t<br />&nbsp; font-lock-mode: t<br />&nbsp; blink-cu=
rsor-mode: t<br />&nbsp; auto-composition-mode: t<br />&nbsp; auto-encrypti=
on-mode: t<br />&nbsp; auto-compression-mode: t<br />&nbsp; line-number-mod=
e: t<br />&nbsp; transient-mark-mode: t<br />&nbsp; abbrev-mode: t<br /><br=
 />Recent input:<br />C-x C-f &lt;up&gt; / t o k &lt;tab&gt; s &lt;tab&gt; =
2 &lt;tab&gt; T o &lt;tab&gt; <br />C o m &lt;tab&gt; O b &lt;tab&gt; O b &=
lt;tab&gt; S &lt;tab&gt; m &lt;tab&gt; S &lt;tab&gt; <br />S r &lt;backspac=
e&gt; &lt;tab&gt; &lt;return&gt; C-s r e b o o t C-a <br />C-n C-n C-n M-x =
c + + m &lt;backspace&gt; - m o d e &lt;return&gt; <br />M-x f u &lt;backsp=
ace&gt; &lt;backspace&gt; &lt;help-echo&gt; M-x r e <br />p o r t - &lt;tab=
&gt; &lt;return&gt;<br /><br />Recent messages:<br />For information about =
GNU Emacs and the GNU system, type C-h C-a.<br />user-error: Beginning of h=
istory; no preceding item<br />Making completion list...<br />Note: file is=
 write protected<br />Loading cc-langs...done<br />Mark saved where search =
started<br />completing-read-default: Command attempted to use minibuffer w=
hile in minibuffer<br /><br />Load-path shadows:<br />None found.<br /><br =
/>Features:<br />(shadow sort gnus-util mail-extr emacsbug message cl-macs =
format-spec<br />rfc822 mml mml-sec mm-decode mm-bodies mm-encode mail-pars=
e rfc2231<br />mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045 iet=
f-drums<br />mm-util mail-prsvr mail-utils multi-isearch cc-langs cl macroe=
xp cl-lib<br />cc-mode cc-fonts cc-guess cc-menus cc-cmds cc-styles cc-alig=
n cc-engine<br />cc-vars cc-defs help-mode easymenu view time-date tooltip =
ediff-hook<br />vc-hooks lisp-float-type mwheel x-win x-dnd tool-bar dnd fo=
ntset image<br />regexp-opt fringe tabulated-list newcomment lisp-mode regi=
ster page<br />menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock =
font-lock<br />syntax facemenu font-core frame cham georgian utf-8-lang mis=
c-lang<br />vietnamese tibetan thai tai-viet lao korean japanese hebrew gre=
ek<br />romanian slovak czech european ethiopic indian cyrillic chinese<br =
/>case-table epa-hook jka-cmpr-hook help simple abbrev minibuffer loaddefs<=
br />button faces cus-face files text-properties overlay sha1 md5 base64<br=
 />format env code-pages mule custom widget hashtable-print-readable<br />b=
ackquote make-network-process dbusbind dynamic-setting<br />system-font-set=
ting font-render-setting x-toolkit x multi-tty emacs)<br /><br /></p>
<div>&nbsp;</div>
</body></html>

--=_01a275b37794df7c84d4c1669125eca8--





Acknowledgement sent to Toon Claes <toon@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#11865; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 29 Jun 2017 01:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.